ssh2_sftp_chmod
ssh2_sftp_mkdir
SSH2 Functions
PHP Manual

# ssh2_sftp_lstat

Stat a symbolic link

### Description

array ssh2_sftp_lstat ( resource `$sftp` , string `$path` )

Stats a symbolic link on the remote filesystem without following the link.

This function is similar to using the lstat function with the ssh2.sftp:// wrapper in PHP 5 and returns the same values.

### Parameters

`sftp`

`path`

  Path to the remote symbolic link.

### Return Values

See the documentation for stat for details on the values which may be returned.

### Examples

Example #1 Stating a symbolic link via SFTP

`<?php
$connection = ssh2_connect('shell.example.com', 22);
ssh2_auth_password($connection, 'username', 'password');
$sftp = ssh2_sftp($connection);
$statinfo = ssh2_sftp_lstat($sftp, '/path/to/symlink');
$filesize = $statinfo['size'];
$group = $statinfo['gid'];
$owner = $statinfo['uid'];
$atime = $statinfo['atime'];
$mtime = $statinfo['mtime'];
$mode = $statinfo['mode'];
?>`

### See Also

- ssh2_sftp_stat
- lstat
- stat